filegroup
filemtime
Filesystem Functions
PHP Manual

# fileinode

(PHP 4, PHP 5, PHP 7)

fileinode — Gets file inode

### Description

int fileinode ( string `$filename` )

Gets the file inode.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the inode number of the file, or `FALSE` on failure.

### Examples

Example #1 Comparing the inode of a file with the current file

`<?php
$filename = 'index.php';
if (getmyinode() == fileinode($filename)) {
echo 'You are checking the current file.';
}
?>`

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to Supported Protocols and Wrappers to determine which wrappers support stat() family of functionality.

### See Also

- getmyinode() - Gets the inode of the current script
- stat() - Gives information about a file

filegroup
filemtime
Filesystem Functions
PHP Manual